libpqxx: pqxx::const_tuple_iterator Class Reference

libpqxx 4.0.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
pqxx::const_tuple_iterator Class Reference

Iterator for fields in a tuple. Use as tuple::const_iterator. More...

`#include <tuple.hxx>`

Inheritance diagram for pqxx::const_tuple_iterator:

## Public Types
typedef tuple::size_type | size_type
typedef tuple::difference_type | difference_type
typedef field | reference
Public Types inherited from pqxx::field
typedef size_t | size_type

## Public Member Functions
| const_tuple_iterator (const tuple &T, tuple::size_type C) throw ()
| const_tuple_iterator (const field &F) throw ()
Dereferencing operators
pointer | operator-> () const
reference | operator* () const
Manipulations
const_tuple_iterator | operator++ (int)
const_tuple_iterator & | operator++ ()
const_tuple_iterator | operator-- (int)
const_tuple_iterator & | operator-- ()
const_tuple_iterator & | operator+= (difference_type i)
const_tuple_iterator & | operator-= (difference_type i)
Comparisons
bool | operator== (const const_tuple_iterator &i) const
bool | operator!= (const const_tuple_iterator &i) const
bool | operator< (const const_tuple_iterator &i) const
bool | operator<= (const const_tuple_iterator &i) const
bool | operator> (const const_tuple_iterator &i) const
bool | operator>= (const const_tuple_iterator &i) const
Public Member Functions inherited from pqxx::field
| field (const tuple &T, tuple_size_type C) throw ()
| Constructor.
template<>
bool | to (const char *&Obj) const
| Specialization: `to(const char *&)`.
bool | operator== (const field &) const
| Byte-by-byte comparison of two fields (all nulls are considered equal)
bool | operator!= (const field &rhs) const
| Byte-by-byte comparison (all nulls are considered equal)
const char * | name () const
| Column name.
oid | type () const
| Column type.
oid | table () const
| What table did this column come from?
tuple_size_type | num () const
tuple_size_type | table_column () const
| What column number in its originating table did this column come from?
const char * | c_str () const
| Read as plain C string.
template<typename T >
bool | to (T &Obj) const
| Read value into Obj; or leave Obj untouched and return `false` if null.
template<typename T >
bool | operator>> (T &Obj) const
| Read value into Obj; or leave Obj untouched and return `false` if null.
template<typename T >
bool | to (T &Obj, const T &Default) const
| Read value into Obj; or use Default & return `false` if null.
template<typename T >
T | as (const T &Default) const
| Return value as object of given type, or Default if null.
template<typename T >
T | as () const
| Return value as object of given type, or throw exception if null.
bool | is_null () const throw ()
size_type | size () const throw ()

## Arithmetic operators
const_tuple_iterator | operator+ (difference_type) const
const_tuple_iterator | operator- (difference_type) const
difference_type | operator- (const_tuple_iterator) const
const_tuple_iterator | operator+ (difference_type, const_tuple_iterator)

## Additional Inherited Members
Protected Member Functions inherited from pqxx::field
const result * | home () const throw ()
size_t | idx () const throw ()
tuple_size_type | col () const throw ()
Protected Attributes inherited from pqxx::field
tuple_size_type | m_col

## Detailed Description

Iterator for fields in a tuple. Use as tuple::const_iterator.

## Member Typedef Documentation

typedef tuple::difference_type pqxx::const_tuple_iterator::difference_type

typedef field pqxx::const_tuple_iterator::reference

typedef tuple::size_type pqxx::const_tuple_iterator::size_type

## Constructor & Destructor Documentation

pqxx::const_tuple_iterator::const_tuple_iterator | ( | const tuple & | T,
|  | tuple::size_type | C
| ) |  | throw ()

pqxx::const_tuple_iterator::const_tuple_iterator | ( | const field & | F | ) | throw ()

## Member Function Documentation

bool pqxx::const_tuple_iterator::operator!= | ( | const const_tuple_iterator & | i | ) | const

reference pqxx::const_tuple_iterator::operator* | ( |  | ) | const

const_tuple_iterator pqxx::const_tuple_iterator::operator+ | ( | difference_type | o | ) | const

pqxx::const_tuple_iterator pqxx::const_tuple_iterator::operator++ | ( | int |  | ) |

const_tuple_iterator& pqxx::const_tuple_iterator::operator++ | ( |  | ) |

const_tuple_iterator& pqxx::const_tuple_iterator::operator+= | ( | difference_type | i | ) |

const_tuple_iterator pqxx::const_tuple_iterator::operator- | ( | difference_type | o | ) | const

const_tuple_iterator::difference_type pqxx::const_tuple_iterator::operator- | ( | const_tuple_iterator | i | ) | const

References pqxx::field::num().

pqxx::const_tuple_iterator pqxx::const_tuple_iterator::operator-- | ( | int |  | ) |

const_tuple_iterator& pqxx::const_tuple_iterator::operator-- | ( |  | ) |

const_tuple_iterator& pqxx::const_tuple_iterator::operator-= | ( | difference_type | i | ) |

pointer pqxx::const_tuple_iterator::operator-> | ( |  | ) | const

bool pqxx::const_tuple_iterator::operator< | ( | const const_tuple_iterator & | i | ) | const

bool pqxx::const_tuple_iterator::operator<= | ( | const const_tuple_iterator & | i | ) | const

bool pqxx::const_tuple_iterator::operator== | ( | const const_tuple_iterator & | i | ) | const

bool pqxx::const_tuple_iterator::operator> | ( | const const_tuple_iterator & | i | ) | const

bool pqxx::const_tuple_iterator::operator>= | ( | const const_tuple_iterator & | i | ) | const

## Friends And Related Function Documentation

const_tuple_iterator operator+ | ( | const_tuple_iterator::difference_type | o,
|  | const_tuple_iterator | i
| ) |  |
| friend

The documentation for this class was generated from the following files:

- tuple.hxx
- tuple.cxx